org.eclipse.swt.custom

## Class BusyIndicator

- java.lang.Object
- - org.eclipse.swt.custom.BusyIndicator

    public class BusyIndicator
    extends java.lang.Object

Support for showing a Busy Cursor during a long running process.

### Constructor Summary

Constructors
Constructor and Description
`BusyIndicator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `showWhile(Display display, java.lang.Runnable runnable)` Runs the given `Runnable` while providing busy feedback using this busy indicator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BusyIndicator

    public BusyIndicator()

### Method Detail

#### showWhile

    public static void showWhile(Display display,
                                 java.lang.Runnable runnable)

Runs the given `Runnable` while providing busy feedback using this busy indicator.

Parameters:
  `display` - the display on which the busy feedback should be displayed. If the display is null, the Display for the current thread will be used. If there is no Display for the current thread, the runnable code will be executed and no busy feedback will be displayed.
  `runnable` - the runnable for which busy feedback is to be shown. Must not be null.
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the runnable is null

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0